#!/bin/bash

files=$(find public/ -name "*.html" -o -name "*.xml" -o -name "*.css" -o -name "*.js")

gz() {
    echo "GZIP $1"
    gzip -fnk $1
}

br() {
    echo "BROTLI $1"
    brotli -fZk $1
}

export -f gz
export -f br

parallel $@ gz {} <<< $files
parallel $@ br {} <<< $files
